SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
enabled-by: true
links:
- role: spec-member
  uid: root
spec-description: null
spec-example: null
spec-info:
  dict:
    attributes:
      default:
        description: |
          The default definition will be used if no variant-specific definition
          is enabled.
        spec-type: interface-definition
      variants:
        description: null
        spec-type: interface-definition-variant-list
    description: |
      This set of attributes specifies an interface definition directive.
    mandatory-attributes: all
spec-name: Interface Definition Directive
spec-type: interface-definition-directive
type: spec
